FreeBSD Bugzilla – Attachment 96141 Details for
Bug 134708
[maintainer-update] x11-wm/awesome v3.3.rc3
Home
|
New
|
Browse
|
Search
|
[?]
|
Reports
|
Help
|
New Account
|
Log In
Remember
[x]
|
Forgot Password
Login:
[x]
[patch]
awesome-3.3.rc3.diff
awesome-3.3.rc3.diff (text/plain), 5.63 KB, created by
Nikos Ntarmos
on 2009-05-19 11:10:01 UTC
(
hide
)
Description:
awesome-3.3.rc3.diff
Filename:
MIME Type:
Creator:
Nikos Ntarmos
Created:
2009-05-19 11:10:01 UTC
Size:
5.63 KB
patch
obsolete
>--- Makefile.orig >+++ Makefile >@@ -6,8 +6,7 @@ > # > > PORTNAME= awesome >-DISTVERSION= 3.3-rc2 >-PORTREVISION= 2 >+DISTVERSION= 3.3-rc3 > CATEGORIES= x11-wm > MASTER_SITES= http://awesome.naquadah.org/download/ \ > http://redundancy.redundancy.org/mirror/ >@@ -16,6 +15,7 @@ > COMMENT= A highly configurable, next generation framework window manager > > BUILD_DEPENDS= asciidoc:${PORTSDIR}/textproc/asciidoc \ >+ convert:${PORTSDIR}/graphics/ImageMagick \ > gperf>=3.0.3:${PORTSDIR}/devel/gperf \ > pango>=1.19.3:${PORTSDIR}/x11-toolkits/pango \ > xmlto:${PORTSDIR}/textproc/xmlto \ >@@ -75,7 +75,4 @@ > ${WRKSRC}/awesomeConfig.cmake > .endif > >-post-patch: >- @${RM} ${WRKSRC}/lib/awful/util.lua.in.orig >- > .include <bsd.port.post.mk> >--- distinfo.orig >+++ distinfo >@@ -1,3 +1,3 @@ >-MD5 (awesome-3.3-rc2.tar.gz) = 4fd1abe54200b881c71b1bc99bb278e5 >-SHA256 (awesome-3.3-rc2.tar.gz) = 1b1af11292914c9788e8965bd0bb3a62eb53843451346baed1427b93ec03d662 >-SIZE (awesome-3.3-rc2.tar.gz) = 291500 >+MD5 (awesome-3.3-rc3.tar.gz) = 54d1591f18fea1a076d75c3f111fed8d >+SHA256 (awesome-3.3-rc3.tar.gz) = 71d61d6152fd0c453f9e2f6b0ca49c363a8f8d068006f60cb5ab18a84bf66f4b >+SIZE (awesome-3.3-rc3.tar.gz) = 284285 >--- files/patch-awesomeConfig.cmake.orig >+++ files/patch-awesomeConfig.cmake >@@ -1,7 +1,7 @@ >---- awesomeConfig.cmake.orig 2009-01-08 12:04:44.000000000 +0200 >-+++ awesomeConfig.cmake 2009-02-01 00:11:33.000000000 +0200 >-@@ -14,8 +14,9 @@ >- set(CURSES_NEED_NCURSES true) >+--- awesomeConfig.cmake.orig >++++ awesomeConfig.cmake >+@@ -12,8 +12,9 @@ >+ set(CMAKE_BUILD_TYPE RELEASE) > > option(WITH_DBUS "build with D-BUS" ON) > +option(INSTALL_PORTDOCS "install port docs" ON) >@@ -11,7 +11,16 @@ > > link_directories(/usr/local/lib) > >-@@ -248,7 +249,7 @@ >+@@ -61,7 +62,7 @@ >+ # theme graphics >+ a_find_program(CONVERT_EXECUTABLE convert TRUE) >+ # doxygen >+-include(FindDoxygen) >++#include(FindDoxygen) >+ # pkg-config >+ include(FindPkgConfig) >+ # lua 5.1 >+@@ -244,7 +245,7 @@ > if(DEFINED AWESOME_MAN_PATH) > set(AWESOME_MAN_PATH ${AWESOME_MAN_PATH} CACHE PATH "awesome manpage directory") > else() >--- files/patch-build-utils-gperf.sh.orig >+++ files/patch-build-utils-gperf.sh >@@ -1,54 +0,0 @@ >---- build-utils/gperf.sh.orig >-+++ build-utils/gperf.sh >-@@ -1,4 +1,4 @@ >--#! /bin/sh -e >-+#!/bin/sh >- # >- # Copyright © 2008 Pierre Habouzit <madcoder@debian.org> >- # >-@@ -50,7 +50,7 @@ do_h() { >- >- typedef enum awesome_token_t { >- A_TK_UNKNOWN, >--`tr 'a-z-./ ' 'A-Z____' | sed -e "s/^[^/].*/ A_TK_&,/"` >-+`tr '[:lower:]' '[:upper:]' | sed -e "s/^[^/].*/ A_TK_&,/"` >- } awesome_token_t; >- >- __attribute__((pure)) enum awesome_token_t a_tokenize(const char *s, int len); >-@@ -63,20 +63,21 @@ do_tokens() { >- case "$tok" in >- "") continue;; >- *) >-- echo "$tok, A_TK_`echo $tok | tr 'a-z-./ ' 'A-Z____'`" >-+ echo "$tok, A_TK_`echo $tok | tr '[:lower:]' '[:upper:]'`" >- ;; >- esac >- done >- } >- >- do_c() { >-- if ! which gperf > /dev/null; then >-+ which gperf > /dev/null >-+ if test $? = 1 ; then >- echo "gperf not found. You need to install gperf." > /dev/stderr; >- exit 1; >- fi; >- >-- cat <<EOF | gperf -l -t -C -F",0" \ >-- --language=ANSI-C -Na_tokenize_aux \ >-+ gperf -l -t -C -F",0" \ >-+ --language=ANSI-C -Na_tokenize_aux <<EOF \ >- | sed -e '/__gnu_inline__/d;s/\<\(__\|\)inline\>//g' >- %{ >- `do_hdr` >-@@ -119,8 +120,8 @@ trap "rm -f ${TARGET}" 0 >- >- rm -f "${TARGET}" >- case "${TARGET}" in >-- *.h) cat "${TOKENS_FILE}" | do_h > "${TARGET}";; >-- *.c) cat "${TOKENS_FILE}" | do_c > "${TARGET}";; >-+ *.h) do_h > "${TARGET}" < "${TOKENS_FILE}" ;; >-+ *.c) do_c > "${TARGET}" < "${TOKENS_FILE}" ;; >- *) die "you must ask for the 'h' or 'c' generation";; >- esac >- chmod -w "${TARGET}" >--- files/patch-lib-awful-util.lua.in.orig >+++ files/patch-lib-awful-util.lua.in >@@ -1,22 +0,0 @@ >---- lib/awful/util.lua.in.orig >-+++ lib/awful/util.lua.in >-@@ -26,6 +26,8 @@ module("awful.util") >- >- table = {} >- >-+shell = os.getenv("SHELL") or "/bin/sh" >-+ >- function deprecate(see) >- io.stderr:write("W: awful: function is deprecated") >- if see then >-@@ -79,10 +81,6 @@ end >- -- @param screen The screen where to run the command. >- function spawn_with_shell(cmd, screen) >- if cmd and cmd ~= "" then >-- -- Get the shell once for all >-- if not shell then >-- shell = os.getenv("SHELL") or "/bin/sh" >-- end >- cmd = shell .. " -c \"" .. cmd .. "\"" >- return capi.awesome.spawn(cmd, false, screen or capi.mouse.screen) >- end >--- files/patch-utils-awesome-client.orig >+++ files/patch-utils-awesome-client >@@ -1,21 +0,0 @@ >---- utils/awesome-client.orig >-+++ utils/awesome-client >-@@ -1,4 +1,4 @@ >--#!/bin/bash >-+#!/bin/sh >- >- # rlwrap provides readline to stuff which doesn't know readline by itself >- RLWRAP=`which rlwrap 2>/dev/null` >-@@ -15,9 +15,11 @@ fi >- >- DBUS_SEND=dbus-send >- >--if ! which ${DBUS_SEND} >/dev/null 2>&1 >-+which ${DBUS_SEND} > /dev/null >-+if test $? = 1 >- then >- echo "E: Unable to find" ${DBUS_SEND} >-+ exit 1 >- fi >- >- DBUS_METHOD=org.awesome.Remote.Eval >--- pkg-plist.orig >+++ pkg-plist >@@ -109,10 +109,8 @@ > %%DATADIR%%/themes/default/tasklist/floatingw.png > %%DATADIR%%/themes/default/theme.lua > %%DATADIR%%/themes/default/theme.lua.in >-%%DATADIR%%/themes/default/titlebar/close.png > %%DATADIR%%/themes/default/titlebar/close_focus.png > %%DATADIR%%/themes/default/titlebar/close_normal.png >-%%DATADIR%%/themes/default/titlebar/closer.png > %%DATADIR%%/themes/default/titlebar/floating_focus_active.png > %%DATADIR%%/themes/default/titlebar/floating_focus_inactive.png > %%DATADIR%%/themes/default/titlebar/floating_normal_active.png
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 134708
: 96141